> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.redpincompany.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.redpincompany.com/_mcp/server.

# Currencies

GET https://sandbox.currenciesdirect.com/v1/references/currencies

Get a list of supported currencies for your organisation.

This endpoint returns three arrays of currency codes:
- **Settlement currencies**: Currencies that can be used for settlement
- **Quote currencies**: Currencies that are available for currency exchange quotes
- **Payout currencies**: Currencies that can be used for payouts

**Authentication:** [Bearer token required](/api-guide/getting-started/authentication#oauth-20-authentication)


Reference: https://docs.redpincompany.com/api-reference/customers/api-integration/references/get-currencies

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the [Authentication](/api-guide/getting-started/authentication#oauth-20-authentication) section for detailed information on how to obtain and use your OAuth credentials.

## Servers

- `https://sandbox.currenciesdirect.com` (Sandbox, default)
- `https://api.redpincompany.com` (Production)

## Response

### 200

The response will contain three arrays. One for settlement currencies, one for quote currencies, and one for payout currencies.

- `settlement_currencies` (list of string, required) — Array of settlement currencies. These are the currencies that can be used for settlement and payouts in your organisation. **Format:** Each currency is represented as a 3-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code (e.g., USD, EUR, GBP).
- `quote_currencies` (list of string, required) — Array of quote currencies. These are the currencies that are available for currency exchange quotes in your organisation. **Format:** Each currency is represented as a 3-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code (e.g., USD, EUR, GBP). **Note:** The quote currencies list may include more currencies than the settlement currencies list, as not all currencies available for quotes may be available for settlement.
- `payout_currencies` (list of string, required) — Array of payout currencies. These are the currencies that can be used for payouts in your organisation. **Format:** Each currency is represented as a 3-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code (e.g., USD, EUR, GBP). **Note:** The payout currencies list may have less currencies than the quote currencies list, as not all currencies available for quotes may be available for payout.

## Errors

### 401 Unauthorized Error

Unauthorized - invalid authorization header

- `code` (string, optional)
- `description` (string, optional)

### 500 Internal Server Error

Internal server error

- `code` (string, optional)
- `description` (string, optional)

## Examples

**Response**

```json
{
  "settlement_currencies": [
    "AED",
    "AUD",
    "CAD",
    "CHF",
    "CZK",
    "DKK",
    "EUR",
    "GBP",
    "HKD",
    "ILS",
    "INR",
    "JPY",
    "MUR",
    "NOK",
    "NZD",
    "PLN",
    "SAR",
    "SEK",
    "SGD",
    "THB",
    "TRY",
    "USD",
    "ZAR"
  ],
  "quote_currencies": [
    "AED",
    "AUD",
    "BAM",
    "BHD",
    "BRL",
    "CAD",
    "CHF",
    "CLP",
    "CNY",
    "CRC",
    "CZK",
    "DKK",
    "EUR",
    "GBP",
    "GEL",
    "HKD",
    "HUF",
    "ILS",
    "INR",
    "ISK",
    "JOD",
    "JPY",
    "KRW",
    "KWD",
    "MUR",
    "MXN",
    "MYR",
    "NGN",
    "NOK",
    "NZD",
    "OMR",
    "PEN",
    "PHP",
    "PKR",
    "PLN",
    "QAR",
    "RON",
    "RSD",
    "SAR",
    "SEK",
    "SGD",
    "THB",
    "TRY",
    "UGX",
    "USD",
    "ZAR"
  ],
  "payout_currencies": [
    "BAM",
    "BRL",
    "CLP",
    "CRC",
    "GEL",
    "ISK",
    "KRW",
    "MYR",
    "NGN",
    "PEN",
    "PKR",
    "RSD"
  ]
}
```

**SDK Code**

```shell cURL
curl -X GET https://api.redpincompany.com/v1/references/currencies \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

```

```python Example currencies response
import requests

url = "https://sandbox.currenciesdirect.com/v1/references/currencies"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example currencies response
const url = 'https://sandbox.currenciesdirect.com/v1/references/currencies';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example currencies response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.currenciesdirect.com/v1/references/currencies"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example currencies response
require 'uri'
require 'net/http'

url = URI("https://sandbox.currenciesdirect.com/v1/references/currencies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example currencies response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.currenciesdirect.com/v1/references/currencies")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example currencies response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.currenciesdirect.com/v1/references/currencies', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example currencies response
using RestSharp;

var client = new RestClient("https://sandbox.currenciesdirect.com/v1/references/currencies");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example currencies response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.currenciesdirect.com/v1/references/currencies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```